Subject: Re: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Feb 2023 08:29:41 +0200

> Date: Sat, 18 Feb 2023 23:12:27 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> 
> Eli, do you have further comments or objections, or can I install this? 
> (Patch attached again for your convenience.)

Sorry, I forgot about this.  Please install, and thanks.

> BTW, I also would like to rename the narrowing_locks_* functions to make 
> their names coherent with your change of the name of the macro from 
> 'with-narrowing' to 'with-restriction'.  I guess that's okay?

I'm okay, but there's a thin line there I didn't want to cross: the
primitive is narrow-to-region, and several of its subroutines have
"narrow" in their names, which sounds right.  I'm not sure where to
draw the line.  What I did was to change names that are likely to
appear in Lisp and be exposed to the user/programmer.